Loading...
Searching...
No Matches
pdumodel::Outlet::StateChangedEvent Struct Reference

Event: Outlet state has changed. More...

Inheritance diagram for pdumodel::Outlet::StateChangedEvent:

## Public Attributes

State | oldState
| State before change.
State | newState
| State after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Outlet state has changed.

Definition at line 138 of file Outlet.idl.

## Member Data Documentation

## newState

State pdumodel::Outlet::StateChangedEvent::newState

State after change.

Definition at line 140 of file Outlet.idl.

## oldState

State pdumodel::Outlet::StateChangedEvent::oldState

State before change.

Definition at line 139 of file Outlet.idl.

The documentation for this struct was generated from the following file:

- Outlet.idl